customerType via the Reseller API, but a "team" customer can verify their domain and become customerType = "domain". For more information, see update a customer's settings.curl --location --request PUT 'https://reseller.googleapis.com//apps/reseller/v1/customers/' \
--header 'Content-Type: application/json' \
--data-raw '{
"alternateEmail": "string",
"customerDomain": "string",
"customerDomainVerified": true,
"customerId": "string",
"customerType": "customerTypeUnspecified",
"kind": "reseller#customer",
"phoneNumber": "string",
"postalAddress": {
"addressLine1": "string",
"addressLine2": "string",
"addressLine3": "string",
"contactName": "string",
"countryCode": "string",
"kind": "customers#address",
"locality": "string",
"organizationName": "string",
"postalCode": "string",
"region": "string"
},
"primaryAdmin": {
"primaryEmail": "string"
},
"resourceUiUrl": "string"
}'{
"alternateEmail": "string",
"customerDomain": "string",
"customerDomainVerified": true,
"customerId": "string",
"customerType": "customerTypeUnspecified",
"kind": "reseller#customer",
"phoneNumber": "string",
"postalAddress": {
"addressLine1": "string",
"addressLine2": "string",
"addressLine3": "string",
"contactName": "string",
"countryCode": "string",
"kind": "customers#address",
"locality": "string",
"organizationName": "string",
"postalCode": "string",
"region": "string"
},
"primaryAdmin": {
"primaryEmail": "string"
},
"resourceUiUrl": "string"
}